## org.biojava.bio.seq.io.game
Class ElementRecognizer.AllElementRecognizer

    java.lang.Object
      org.biojava.bio.seq.io.game.ElementRecognizer.AllElementRecognizer

All Implemented Interfaces:
  ElementRecognizer

Enclosing class:
  ElementRecognizer

public static class ElementRecognizer.AllElementRecognizer
extends java.lang.Object
implements ElementRecognizer

Nested Class Summary

Nested classes inherited from class org.biojava.bio.seq.io.game.ElementRecognizer
`ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute`

Field Summary

Fields inherited from interface org.biojava.bio.seq.io.game.ElementRecognizer
`ALL`

Constructor Summary
`ElementRecognizer.AllElementRecognizer()`

Method Summary
`boolean` `filterStartElement(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementRecognizer.AllElementRecognizer

    public ElementRecognizer.AllElementRecognizer()

Method Detail

### filterStartElement

    public boolean filterStartElement(java.lang.String nsURI,
                                      java.lang.String localName,
                                      java.lang.String qName,
                                      org.xml.sax.Attributes attrs)

  Specified by:
    `filterStartElement` in interface `ElementRecognizer`